ProjectsUpdate Project

Update Project

Update an Ad Manager project's name and settings.

curl -X POST "https://api.5centscdn.com/v2/ad-manager/101/update" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "name": "Main Website",
  "timezone": "America/New_York",
  "currency_code": "USD",
  "currency_symbol": "$",
  "advanced_analytics": 1
}'
{
  "result": "success",
  "project": {
    "id": 101,
    "uuid": "8f2a1c3e-4b5d-4a6e-9f1a-2b3c4d5e6f7a",
    "name": "Main Website",
    "settings": {
      "timezone": "America/New_York",
      "currency_code": "USD",
      "currency_symbol": "$",
      "advanced_analytics": 1,
      "max_advertisers": 100,
      "max_campaigns": 500,
      "max_creatives": 500,
      "analytics_retention_period": 2,
      "skip_policy": {
        "default": {
          "skippable": true,
          "offset_type": "seconds",
          "offset_value": 5
        },
        "rules": [
          {
            "skippable": true,
            "offset_type": "seconds",
            "offset_value": 5,
            "position": "1",
            "longest": false,
            "shortest": false
          }
        ]
      }
    },
    "advertisers_count": 12,
    "campaigns_count": 34,
    "creatives_count": 56,
    "active_campaigns_count": 9,
    "usage_this_month": {
      "ad_requests": 128430,
      "fill_rate": 87.4,
      "impressions": 96210,
      "completion_rate": 71.2
    },
    "created_at": "2026-01-15T10:30:00Z",
    "updated_at": "2026-02-01T08:00:00Z",
    "serviceid": 103
  }
}
POST
/ad-manager/{pid}/update
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

path
pidinteger
Required

ID of the Ad Manager project.

Content-Typestring
Required

The media type of the request body

Options: application/json
namestring
Required

Project display name. Required.

Max length: 120
timezonestring

IANA timezone identifier.

advanced_analyticsinteger

1 to enable the Ad Manager Advanced Features add-on, 0 to disable.

Options: 0, 1
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

pidinteger
Required

ID of the Ad Manager project.

Example:
101

Body

application/json
namestring
Required

Project display name. Required.

Example:
Main Website
timezonestring

IANA timezone identifier.

Example:
America/New_York
advanced_analyticsinteger

1 to enable the Ad Manager Advanced Features add-on, 0 to disable.

Allowed values:01

Responses

resultstring

Operation outcome.

Allowed values:successerror
projectstring